Обновление...

Аватар пользователя kivi kivi 22 апреля 2012 в 21:58

Уважаемые форумчане, я опущу традиционное приветствие "помогите новичку", можно? Потому что у меня настоящая трагедия, и нужен совет.
Я наконец закончила сайт, над которым мучалась 3 (три!) месяца. Наконец он стал примерно таким, как я и хотела Smile И тут меня осенило: у меня версия 6.20, а ведь нужно было на 7-ке!
Посоветуйте, что лучше: обновиться или изменить тему под 7-ку?
С одной стороны, переписывать, морочить голову, делая все заново не хочется. А с другой - может, имеет смысл?
На Д7 модули другие, настройки всего и вся - ну очень многое по-другому.
Устанавливала Д7, посмотрела и поняла, почему его называют более тяжелым: в нем половина модулей в ядро включена.
Это хорошо, даже очень, но жить на более увесистой новой версии + доп.модули-костыли для поддержки старых, ненужных, тоже не хочется.
Но обновляться - боюсь. Я и до 6.22 версии не могу обновиться - я тупо не знаю какие версии выбирать в мастере Sad

И главный вопрос. А может, пока не нужно обновляться? Набор модулей меня устраивает полностью. Другое дело, что обновления безопасности вроде бы как игнорировать нельзя? Или все не так страшно, и я сгущаю краски с этим обновлением. Просто ужасно жалко - три месяца сидела над ним и зря что ли...

Комментарии

Аватар пользователя kivi kivi 22 апреля 2012 в 23:32

И снова.... Пытаюсь обновиться до версии 6.22. Выбираю для модуля sistem 6022 версию - куча ошибок. Все делаю по инструкции upgrade. Хотя я нигде не видела про выбор версий. Может, их и не нужно выбирать в мастере обновлений?

Нет, но что такое "следуйте инструкциям"? Какие же версии модулей выбирать?

Судя по этому http://www.drupal.ru/node/57019 поняла, что самой выбирать ничего ненадо....

Аватар пользователя EvgenySorokin EvgenySorokin 22 апреля 2012 в 23:53
1

Все правильно - выбирать никакие версии не нужно, только нажимать "next"... "next".

Что касается ядра - если сайт сделан на 6, то на данный момент нет особого смысла до 7 апдейтить, 6-ка еще будет поддерживаться довольно длительное время. Но вот 6 до актуальной версии обновить нужно.

Аватар пользователя kivi kivi 23 апреля 2012 в 1:12

Спасибо, Garin33.
За сегодняшний день я научилась и до 6.22, и до 7.12 обновлятся - с 5 часов мучаюсь. Но посмотрела на результат и думаю: на сайте теперь Мамай гулял, а оно мне надо? Все равно тему переписывать, с модулями возиться - лучше пусть будет 6.22. Пишут вроде бы, что некую критическую уязвимость нашли и обезвредили, вот и славненько Smile

Аватар пользователя Geldora Geldora 23 апреля 2012 в 12:57
1

Не мучайтесь. 6ка и 7 ка равно поддерживаются! Главное, обновляйте свой сайт до последней версии 6ки - это минорный апдейт, довольно легкий.

Апдейт между 6 и 7 - это мажорный апдейт, там придется все менять, в т.ч. тему, модули... Оно вам надо? Еще год как минимум 6ка будет в активной поддержке, а там можно будет и обновиться до 7.

Аватар пользователя kivi kivi 23 апреля 2012 в 19:48

"Garin33" wrote:
А почему 6.22? Если последняя стабильная 6.25

А вот не знаю. Прочитала в интернетах: все обновляются почему-то до 6.22. И я туда же. Спасибо за совет, надо же, вовремя я зашла - по пути на хостинг, шла как раз обновляться до 6.22 Smile

"Geldora" wrote:
Не мучайтесь. 6ка и 7 ка равно поддерживаются! Главное, обновляйте свой сайт до последней версии 6ки - это минорный апдейт, довольно легкий.

Geldora, спасибо. Вы, кстати, очень точно определили состояние пациента - у вас профессиональный взгляд Smile Да, прямо делема неразрешимая. Правда, сначала я мучалась сама и мучала Друпал. Потом самой смешно стало: оказывается, просто внимательно (!) читать документацию. Garin33 правильно сказал: "next", а я что-то там выдумывала Smile
Потом пошли муки выбора - 6ка или так все-таки 7ка: быть или не быть...

"Geldora" wrote:
Оно вам надо?
Нет, не надо. Вы и Garin избавили меня от мук. Я не амбициозна в плане новых версий, работает - хорошо, единственное - обновления безопасности.

Большое спасибо за советы, за помощь Smile